Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1534154 - /usr/sbin/shield-purge: undefined symbol: gdbm_errno
Summary: /usr/sbin/shield-purge: undefined symbol: gdbm_errno
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_shield
Version: 27
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Carl Thompson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-13 16:02 UTC by Paweł
Modified: 2018-01-18 21:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-18 21:31:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Paweł 2018-01-13 16:02:10 UTC
Description of problem:
shield-purge throws error undefined symbol: gdbm_errno

Version-Release number of selected component (if applicable):
pam_shield-0.9.5-21.fc27.x86_64

How reproducible:
Just run
/usr/sbin/shield-purge -c /etc/security/shield.conf

Actual results:
/usr/sbin/shield-purge: symbol lookup error: /usr/sbin/shield-purge: undefined symbol: gdbm_errno

Expected results:
no errors

Additional info:
Package pam_shield needs recompile against gdbm ( new version 1.14) beacause gdbm_errno is now a macro. After recompile everything works fine

Comment 1 Fedora Update System 2018-01-16 13:01:49 UTC
gdbm-1.13-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 2 Fedora Update System 2018-01-16 13:02:50 UTC
gdbm-1.13-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 3 Marek Skalický 2018-01-16 13:03:05 UTC
This problem is caused by gdbm update.

Comment 4 Paweł 2018-01-16 16:21:21 UTC
(In reply to Marek Skalický from comment #3)
> This problem is caused by gdbm update.

Generally yes. The solution is downgrade, but also recompile program with new version.

Comment 5 Marek Skalický 2018-01-16 16:56:19 UTC
(In reply to Paweł from comment #4)
> (In reply to Marek Skalický from comment #3)
> > This problem is caused by gdbm update.
> 
> Generally yes. The solution is downgrade, but also recompile program with
> new version.

Gdbm package was rebased back to previous version. So no need to rebuild shield_purge binary.

Comment 6 Fedora Update System 2018-01-17 06:46:40 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec4df5a741

Comment 7 Fedora Update System 2018-01-18 21:31:06 UTC
gdbm-1.13-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.